minix/tools/chrootmake.sh
Ben Gras ff67776995 FS:
. loops checked for PID_FREE
  . exit broken down in exit and cleanup functions; when reboot happens,
    cleanup is done but not exit (as processes have not actually exited),
    this keeps drivers working
  . fixed a few uninitialized and unused variables

scripts:
  . new packaging system
2006-03-15 15:34:12 +00:00

25 lines
575 B
Bash
Executable file

#!/bin/sh
set -e
export PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin
cd /usr/src || exit 1
make etcfiles
su bin -c 'make world install' || exit 1
cd tools || exit 1
rm revision
rm /boot/image/*
make install || exit 1
cp ../boot/boot /boot/boot || exit 1
make clean
make image_small || exit 1
#cp image_small /boot || exit 1
cd /usr/src || exit 1
make clean
# Let man find the manpages
su bin -c 'makewhatis /usr/man'
su bin -c 'makewhatis /usr/gnu/man'
su bin -c 'makewhatis /usr/local/man'
mv /usr/src/commands /usr/src.commands
binsizes normal
exit 0